Subject: [Mip4] Questions on Mobile IP Security Issues

From: enjoyzj <[email-masked]>
Date: Tue, 19 Apr 2005 00:41:44 +0800 (CST)

Dear Experts,

I am trying to get a deeper understanding with regard
to the Mobile IP security issues, especially on key
and security association distribution for Mobile IP
message authentication. I've noticed that there are
many RFCs and IDs proposing various frameworks,
protocols, extensions, including AAA requirement for
Mobile IP(rfc2977), AAA keys for Mobile IPv4(rfc3957),
IKE(rfc2409), IKEv2, ISAKMP(rfc2408), the Internet
DOI(rfc2407), DIAMETER mobile IP extensions, DIAMETER
Base Protocol(rfc3588), IPsec, etc.. I've read some of
them. However, because of the lack of a general
description on the relationship between them, I am
kind of confused with how they are related with one
and another.

For example, if IKE is used for key exchange, why
there is need for the method described in rfc2977 and
rfc3957? Or rfc2977 and rfc3957 are proposed for
Mobile IP to use the IKE protocol? What is the
relationship between AAA and IPsec? Is there actually
a standardized method for Mobile IP key and SA
distribution? Is there actually a PKI available for
Mobile IP? Can existing RADIUS and DIAMETER servers be
viewed as part of Mobile IP PKI? Is IKEv2 mandatory in
mobility environment? ...

I am really sorry for so many question marks, and
please forgive my ignorance. I would be very
appreciated if anybody can give me a just brief
description or provide me a pointer. Thanks a lot in
advance!

Best Regards,
Juan

_________________________________________________________
Do You Yahoo!?
注册世界一流品质的雅虎免费电邮
http://cn.rd.yahoo.com/mail_cn/tag/1g/*http://cn.mail.yahoo.com/

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/